SIGN(1)

NAME
sign - Runs TPM2_Sign

DESCRIPTION
--version-string=v1045 is not a valid option

sign

Runs TPM2_Sign

-hk key handle

    [-pwdk password for key (default empty)] [-halg (sha1, sha256, sha384) (default sha256)] [-rsa (RSASSA scheme)] [-ecc (ECDSA scheme)]

    Verify only supported for RSA now

-if input message to hash and sign

    [-ipu public key file name to verify signature (default no verify)] [-os signature file name (default do not save)] [-tk ticket file name]

-se[0-2] session handle / attributes (default PWAP)

    01 continue

--version is not a valid option

sign

Runs TPM2_Sign

-hk key handle

    [-pwdk password for key (default empty)] [-halg (sha1, sha256, sha384) (default sha256)] [-rsa (RSASSA scheme)] [-ecc (ECDSA scheme)]

    Verify only supported for RSA now

-if input message to hash and sign

    [-ipu public key file name to verify signature (default no verify)] [-os signature file name (default do not save)] [-tk ticket file name]

-se[0-2] session handle / attributes (default PWAP)

    01 continue

SEE ALSO
The full documentation for sign is maintained as a Texinfo manual. If the info and sign programs are properly installed at your site, the command

    info sign

should give you access to the complete manual.